<?php

echo '<h2>Statistiques liées aux passages</h2>';

echo '<p class="signal">Avertissement !</p><p class="maxwidth">Selon les statistiques proposées, les informations proposées dans les graphiques ne présenteront pas tous les passages, ainsi par exemple quand seul le niveau a été initialement renseigné.</p>';

include('freq_stats_form.php');

echo '<h2>Du '.$affday1.' au '.$affday2.'</h2>';

echo '<p>Nombre total de passages : ';

$totalpass_nb = 0;
$passages_nb = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND passage = '1' ".$filtre_activs."");
while($passages = mysqli_fetch_assoc($passages_nb)) {
	$totalpass_nb += $passages['nombre'];
}

if($totalpass_nb==0) {
	echo 'Aucun élève pour cette équation';
}
else {
	echo $totalpass_nb;
	echo ' élèves.</p>';

	//récupération des niveaux et couleurs par niveau
	include('freq_stats_nivcolors.php');

	$tabWeeks = array();
	foreach (new DatePeriod($jourP1date, new DateInterval('P7D') /* pas de sept jours */, $jourP2date) as $dt) {
		$week = $dt->format('oW');
		array_push($tabWeeks, $week);
	} 

	echo '<form name="statscform" method="GET" action="">
	<input type="hidden" name="page" value="stats" />
	<input type="hidden" name="stat" value="passages" />
	<select name="s" id="statschoix">
		<option value="zero">--Choisir les statistiques--</option>
		<option value="passperniv">Nombre de passages par niveau</option>
		<option value="pcpassperniv">Pourcentage de passages par niveau</option>
		<option value="passperdiv">Nombre de passages par division</option>
		<option value="pcpassperdiv">Pourcentage de passages par division</option>
		<option value="passperweek">Nombre de passages par semaine</option>
		<option value="passperweekperniv">Nombre de passages par semaine et par niveau</option>';
		if(count($tabWeeks)<6) {
			echo '<option value="passperday">Nombre de passages par jour (- de 36)</option>
			<option value="passperdayperniv">Nombre de passages par jour et par niveau (- de 36)</option>';
		}
	echo '<option value="all">Toutes ces statistiques (chargement long)</option>
	</select> <input type="submit" class="bouton boutfreq" value="Choisir" />
	</form>';

	echo '</article><article id="artleft" class="freqsep">';

	include('stats/freq_stats_pass_div.php');

} 
?>